Could not build storage pool: unable to control COW flag on '/var/lib/libvirt/images/pool', not btrfs: Function not implemented

Asked by prasket on 2020-11-12

New install of 20.10 and getting an error in libvirt "Could not build storage pool: unable to control COW flag on '/var/lib/libvirt/images/pool', not btrfs: Function not implemented"

After digging into it I found that the latest version 6.6.0 in Ubuntu Groovy has issues with this due to regression. 6.7.0+ has this fix in place. How long until we can get the repo version upgraded off 6.6.0?

https://gitlab.com/libvirt/libvirt/-/issues/73

Question information

Language:
English Edit question
Status:
Open
For:
Ubuntu libvirt Edit question
Assignee:
No assignee Edit question
Last query:
2020-11-14
Last reply:
2020-11-12

This question was reopened

I suggest you report a bug. This will get the package updated sooner rather than later

Manfred Hampl (m-hampl) said : #2

The bug is already there, and the updated package is already in groovy-proposed. Verification has been done.
You can expect the solution to be available in the -updates repository within the coming days.

prasket (eight-edge) said : #3

Thanks Manfred Hampl, that solved my question.

prasket (eight-edge) said : #4

@m-hampl (not sure if that works here) can you point me to where I can see the groovy-proposed stuff?

prasket (eight-edge) said : #5

Never mind I saw this on the main page her for libvirt ,hanks again!
https://bugs.launchpad.net/ubuntu/groovy/+source/libvirt/+bug/1901242

Can you help with this problem?

Provide an answer of your own, or ask prasket for more information if necessary.

To post a message you must log in.